Ubuntu cant install phalcon

hi guys, im new to ubuntu 15.04 and im trying to install phalcon on my machine, followed the steps here http://phalconphp.com/en/download, but i got this error when running the command

sudo apt-get install php5-phalcon

E: Unable to locate package php5-phalcon

all the other commands works fine, i also check my phpinfo and no phalcon is loaded, any help would be greatful Thanks.



32.5k

hi

You should install Phalcon from source, current have not support 15.04

is that so, why is phalcon do not have support in 15.04 yet, is it bcoz 15.04 is not yet officialy released?

edited Mar '15

most likely, yes. Since ubuntu 15.04 is not released yet, will mean extra work to maintain the package. Also there is no insurance that what will work for me will work for you, because of continous changes in the release, including the soon to be kernel upgrade to 4.0.

But is very easy to compile it from source

phalcon 1.3.5 https://github.com/phalcon/cphalcon/tree/1.3.5

phalcon 2.0 https://github.com/phalcon/cphalcon/tree/2.0.0